<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: ControladorLista_canciones</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: ControladorLista_canciones</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>ControladorLista_canciones<span class="signature">()</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="ControladorLista_canciones"><span class="type-signature"></span>new ControladorLista_canciones<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_canciones.js.html">ControladorLista_canciones.js</a>, <a href="ControladorLista_canciones.js.html#line7">line 7</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="agregar_lista"><span class="type-signature"></span>agregar_lista<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para relacionar la lista de reproducción junto con la canción, cuando se la elija
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la canción y el external id de la lista de reproducción, y presentar el mensaje de confirmación</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para que redireccione a la misma pantalla de NuevasCanciones</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_canciones.js.html">ControladorLista_canciones.js</a>, <a href="ControladorLista_canciones.js.html#line17">line 17</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="eliminar_de_lista"><span class="type-signature"></span>eliminar_de_lista<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para eliminar la relación entre lista de reproducción y canción
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la canción y el external id de la lista de reproducción, y presentar el mensaje de que se ha eliminado correctamente</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la misma pantalla de VisualizarListareproduccion después de que se haya eliminado correctamente</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_canciones.js.html">ControladorLista_canciones.js</a>, <a href="ControladorLista_canciones.js.html#line44">line 44</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorLista_canciones.html">ControladorLista_canciones</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:12:59 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>